<?php

namespace common\logic\User\UserProducer\Event;

use common\logic\User\UserProducer\Wrapper\UserProducerManager;

class UserProducerEventSubscriber
{
    public static function onCreateCreditHistory($event)
    {
        $userProducerManager = UserProducerManager::getInstance();
        $userProducerManager->updateCredit($event->creditHistory);
    }
}